curl --request GET \
--url https://api.nox.energy/v1/devices/pv/production/forecast \
--header 'x-api-key: <api-key>'import requests
url = "https://api.nox.energy/v1/devices/pv/production/forecast"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.nox.energy/v1/devices/pv/production/forecast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nox.energy/v1/devices/pv/production/forecast",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nox.energy/v1/devices/pv/production/forecast"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nox.energy/v1/devices/pv/production/forecast")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nox.energy/v1/devices/pv/production/forecast")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"forecast_time": "2025-05-01 07:45",
"device_id": "1400d85b-47c3-49e1-9317-ae1bfccb635c",
"production": "2.61"
},
{
"forecast_time": "2025-05-01 07:45",
"device_id": "0910947a-fab9-450e-b5ac-48e9c4f3e725",
"production": "1.75"
}
],
"meta": {
"energy_supplier": "Energy Supplier A",
"next_token": "AYABeH50-To0SRdAWC9BY9aCIaEAAAABAAdhd3Mta21zAE5hcm46YXdzOmttczpldS1jZW50cmFsLTE6ND",
"production_unit": "kWh",
"granularity": "15min",
"output_timezone": "UTC"
}
}Get Devices Pv Production Forecast
Get the forecasted production for pv devices associated with your energy supplier account in kWh for a specific timeframe with 15min granularity.
This forecast is done everyday at a fixed time depending on supplier.
The timestamp refers to the data that will happen in the next 15 minutes after the timestamp.
curl --request GET \
--url https://api.nox.energy/v1/devices/pv/production/forecast \
--header 'x-api-key: <api-key>'import requests
url = "https://api.nox.energy/v1/devices/pv/production/forecast"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.nox.energy/v1/devices/pv/production/forecast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nox.energy/v1/devices/pv/production/forecast",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nox.energy/v1/devices/pv/production/forecast"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nox.energy/v1/devices/pv/production/forecast")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nox.energy/v1/devices/pv/production/forecast")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"forecast_time": "2025-05-01 07:45",
"device_id": "1400d85b-47c3-49e1-9317-ae1bfccb635c",
"production": "2.61"
},
{
"forecast_time": "2025-05-01 07:45",
"device_id": "0910947a-fab9-450e-b5ac-48e9c4f3e725",
"production": "1.75"
}
],
"meta": {
"energy_supplier": "Energy Supplier A",
"next_token": "AYABeH50-To0SRdAWC9BY9aCIaEAAAABAAdhd3Mta21zAE5hcm46YXdzOmttczpldS1jZW50cmFsLTE6ND",
"production_unit": "kWh",
"granularity": "15min",
"output_timezone": "UTC"
}
}Authorizations
Query Parameters
The maximum number of items to return per page of results.
This should be used together with the next_token parameter, or the offset parameter where the
endpoint offers it, to paginate through results.
Read the pagination parameter documentation for more details.
1 <= x <= 1000The next_token is a token used to retrieve the next page of results when there are more results
than can fit in a single page(=API response).
By default, the API will return a next_token of the first page if no token was given as a parameter.
If the token is null you have reached the end of the results.
This should be used together with the limit parameter to paginate through results.
To get all results of your call, you can keep calling the same API call with the previously returned next_token until it returns null.
Pass the next_token back unchanged. A token that was altered or not issued by the API returns 400.
The number of items to skip before the first item of the page. Defaults to 0.
Use it together with the limit parameter to fetch a specific page, for example limit=100&offset=200
returns items 201 to 300.
Use either offset or next_token, not both. Sending both returns 400.
x >= 0